﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Falcon.Extend
{
    /// <summary>
    /// 数据加密解密接口
    /// </summary>
    public interface ICryptoService
    {
        /// <summary>
        /// 使用指定的key加密内容
        /// </summary>
        /// <param name="content">要加密的明文</param>
        /// <param name="key">加密key</param>
        /// <returns>加密后的密文</returns>
        string Encrypt(string content,string key);
        /// <summary>
        /// 使用指定的key解密内容
        /// </summary>
        /// <param name="content">要解密的密文</param>
        /// <param name="key">key</param>
        /// <returns>解密后的明文</returns>
        string Decrypt(string content,string key);
    }
}
